=== windows/icons/CMakeLists.txt ===
set(OXYGEN_ICONS
32x32/places/server-database.png
32x32/places/favorites.png
32x32/places/network-server.png
32x32/places/document-multiple.png
32x32/actions/media-playback-pause.png
32x32/actions/document-open.png
32x32/actions/document-new.png
32x32/actions/folder-sync.png
32x32/actions/view-refresh.png
32x32/actions/document-edit.png
32x32/actions/list-remove.png
32x32/actions/speaker.png
32x32/actions/list-add.png
32x32/actions/document-save.png
32x32/actions/document-save-as.png
32x32/actions/dialog-close.png
32x32/actions/edit-delete.png
32x32/actions/view-media-artist.png
32x32/actions/media-skip-forward.png
32x32/actions/edit-find.png
32x32/actions/application-exit.png
32x32/actions/media-playback-start.png
32x32/actions/view-media-playlist.png
32x32/actions/dialog-ok.png
32x32/actions/dialog-cancel.png
32x32/actions/media-skip-backward.png
32x32/actions/configure.png
32x32/actions/edit-clear-list.png
32x32/actions/go-previous.png
32x32/actions/view-fullscreen.png
32x32/actions/process-stop.png
32x32/actions/edit-clear-locationbar-rtl.png
32x32/actions/edit-rename.png
32x32/actions/tools-wizard.png
32x32/actions/document-import.png
32x32/actions/go-next.png
32x32/actions/media-playback-stop.png
32x32/actions/document-export.png
32x32/actions/edit-clear-locationbar-ltr.png
32x32/status/media-playlist-shuffle.png
32x32/status/dialog-error.png
32x32/status/dialog-warning.png
32x32/status/dialog-information.png
32x32/status/object-locked.png
32x32/mimetypes/inode-directory.png
32x32/mimetypes/audio-x-generic.png
32x32/categories/preferences-system-network.png
32x32/categories/preferences-other.png
32x32/categories/applications-internet.png
32x32/devices/multimedia-player.png
32x32/devices/media-optical.png
32x32/apps/system-file-manager.png
32x32/apps/preferences-desktop-keyboard.png
64x64/status/dialog-error.png
64x64/status/dialog-warning.png
64x64/status/dialog-information.png
64x64/categories/preferences-system-network.png
64x64/categories/preferences-other.png
64x64/categories/applications-internet.png
64x64/devices/multimedia-player.png
64x64/devices/media-optical.png
64x64/apps/preferences-desktop-keyboard.png
22x22/places/server-database.png
22x22/places/favorites.png
22x22/places/network-server.png
22x22/places/document-multiple.png
22x22/actions/media-playback-pause.png
22x22/actions/document-open.png
22x22/actions/document-new.png
22x22/actions/folder-sync.png
22x22/actions/view-refresh.png
22x22/actions/document-edit.png
22x22/actions/list-remove.png
22x22/actions/speaker.png
22x22/actions/list-add.png
22x22/actions/document-save.png
22x22/actions/document-save-as.png
22x22/actions/dialog-close.png
22x22/actions/edit-delete.png
22x22/actions/view-media-artist.png
22x22/actions/media-skip-forward.png
22x22/actions/edit-find.png
22x22/actions/application-exit.png
22x22/actions/media-playback-start.png
22x22/actions/view-media-playlist.png
22x22/actions/dialog-ok.png
22x22/actions/dialog-cancel.png
22x22/actions/media-skip-backward.png
22x22/actions/configure.png
22x22/actions/edit-clear-list.png
22x22/actions/go-previous.png
22x22/actions/view-fullscreen.png
22x22/actions/process-stop.png
22x22/actions/edit-clear-locationbar-rtl.png
22x22/actions/edit-rename.png
22x22/actions/tools-wizard.png
22x22/actions/document-import.png
22x22/actions/go-next.png
22x22/actions/media-playback-stop.png
22x22/actions/document-export.png
22x22/actions/edit-clear-locationbar-ltr.png
22x22/status/media-playlist-shuffle.png
22x22/status/dialog-error.png
22x22/status/dialog-warning.png
22x22/status/dialog-information.png
22x22/status/object-locked.png
22x22/mimetypes/inode-directory.png
22x22/mimetypes/audio-x-generic.png
22x22/categories/preferences-system-network.png
22x22/categories/preferences-other.png
22x22/categories/applications-internet.png
22x22/devices/multimedia-player.png
22x22/devices/media-optical.png
22x22/apps/system-file-manager.png
22x22/apps/preferences-desktop-keyboard.png
16x16/places/server-database.png
16x16/places/favorites.png
16x16/places/network-server.png
16x16/places/document-multiple.png
16x16/actions/media-playback-pause.png
16x16/actions/document-open.png
16x16/actions/document-new.png
16x16/actions/folder-sync.png
16x16/actions/view-refresh.png
16x16/actions/document-edit.png
16x16/actions/list-remove.png
16x16/actions/speaker.png
16x16/actions/list-add.png
16x16/actions/document-save.png
16x16/actions/document-save-as.png
16x16/actions/dialog-close.png
16x16/actions/edit-delete.png
16x16/actions/view-media-artist.png
16x16/actions/media-skip-forward.png
16x16/actions/edit-find.png
16x16/actions/application-exit.png
16x16/actions/media-playback-start.png
16x16/actions/view-media-playlist.png
16x16/actions/dialog-ok.png
16x16/actions/dialog-cancel.png
16x16/actions/media-skip-backward.png
16x16/actions/configure.png
16x16/actions/edit-clear-list.png
16x16/actions/go-previous.png
16x16/actions/view-fullscreen.png
16x16/actions/process-stop.png
16x16/actions/edit-clear-locationbar-rtl.png
16x16/actions/edit-rename.png
16x16/actions/tools-wizard.png
16x16/actions/document-import.png
16x16/actions/go-next.png
16x16/actions/media-playback-stop.png
16x16/actions/document-export.png
16x16/actions/edit-clear-locationbar-ltr.png
16x16/status/media-playlist-shuffle.png
16x16/status/dialog-error.png
16x16/status/dialog-warning.png
16x16/status/dialog-information.png
16x16/status/object-locked.png
16x16/mimetypes/inode-directory.png
16x16/mimetypes/audio-x-generic.png
16x16/categories/preferences-system-network.png
16x16/categories/preferences-other.png
16x16/categories/applications-internet.png
16x16/devices/multimedia-player.png
16x16/devices/media-optical.png
16x16/apps/system-file-manager.png
16x16/apps/preferences-desktop-keyboard.png
48x48/actions/view-fullscreen.png
48x48/status/media-playlist-shuffle.png
48x48/status/dialog-error.png
48x48/status/dialog-warning.png
48x48/status/dialog-information.png
48x48/status/object-locked.png
48x48/categories/preferences-system-network.png
48x48/categories/preferences-other.png
48x48/categories/applications-internet.png
48x48/devices/multimedia-player.png
48x48/devices/media-optical.png
48x48/apps/preferences-desktop-keyboard.png
128x128/categories/applications-internet.png
128x128/devices/media-optical.png
256x256/categories/applications-internet.png
256x256/devices/media-optical.png
16x16/places/bookmarks.png
16x16/actions/bookmark-new.png
32x32/places/bookmarks.png
32x32/actions/bookmark-new.png
48x48/places/bookmarks.png
48x48/actions/bookmark-new.png
22x22/places/bookmarks.png
22x22/actions/bookmark-new.png
22x22/actions/bookmarks.png
64x64/places/bookmarks.png
64x64/actions/bookmark-new.png
32x32/actions/go-up.png
22x22/actions/go-up.png
16x16/actions/go-up.png
32x32/actions/go-down.png
22x22/actions/go-down.png
16x16/actions/go-down.png
)

foreach(ICON ${OXYGEN_ICONS})
    get_filename_component(ICON_PATH ${ICON} PATH)
    install(FILES ${CANTATA_OXYGEN_DIR}/${ICON} DESTINATION ${CANTATA_ICON_INSTALL_PREFIX}/${ICON_PATH})
endforeach(ICON ${OXYGEN_ICONS})
install(FILES index.theme DESTINATION ${CANTATA_ICON_INSTALL_PREFIX})
install(FILES "LICENSE.Creative Common Attribution-ShareAlike 3.0 License.html" DESTINATION ${CANTATA_ICON_INSTALL_PREFIX} RENAME "Oxygen License (Creative Common Attribution-ShareAlike 3.0).html")
install(FILES LICENSE.LGPL_V3 DESTINATION ${CANTATA_ICON_INSTALL_PREFIX} RENAME "Oxygen License (LGPL V3).txt")
install(FILES README DESTINATION ${CANTATA_ICON_INSTALL_PREFIX} RENAME "Oxygen README.txt")
