=== debian/changelog ===
cantata (1.4.2.ds1-1ubuntu2) wily; urgency=medium

  * No-change rebuild against libmusicbrainz5-2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 14 Aug 2015 18:38:08 +0000

cantata (1.4.2.ds1-1ubuntu1) vivid; urgency=medium

  * Remove install dep on kde-style-oxygen which no longer exists

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 18 Dec 2014 14:34:02 +0100

cantata (1.4.2.ds1-1build1) vivid; urgency=medium

  * Rebuild against libmusicbrainz5-1.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 04 Dec 2014 11:57:11 +0000

cantata (1.4.2.ds1-1) unstable; urgency=medium

  * New upstream release.

 -- Stuart Prescott <stuart@debian.org>  Mon, 29 Sep 2014 20:54:08 +1000

cantata (1.4.1.ds1-1) unstable; urgency=medium

  * New upstream release
    - build with system libebur128 (Closes: #739715).
    - add patch to correctly find system libebur128.
    - update copyright information.
  * Add watch file that flags new versions but cannot download new tarballs.

 -- Stuart Prescott <stuart@debian.org>  Sun, 07 Sep 2014 23:05:07 +1000
